package com.sistema_ventas.model;
// Generated 11-13-2019 11:40:49 AM by Hibernate Tools 4.3.1


import java.util.HashSet;
import java.util.Set;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import static javax.persistence.GenerationType.IDENTITY;
import javax.persistence.Id;
import javax.persistence.OneToMany;
import javax.persistence.Table;

/**
 * Departamento generated by hbm2java
 */
@Entity
@Table(name="departamento"
    ,catalog="sistema_ventas"
)
public class Departamento  implements java.io.Serializable {


     /**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private Integer idDep;
     private String departamento;
     private Set<Municipios> municipioses = new HashSet<Municipios>(0);

    public Departamento() {
    }

    public Departamento(String departamento, Set<Municipios> municipioses) {
       this.departamento = departamento;
       this.municipioses = municipioses;
    }
   
     @Id @GeneratedValue(strategy=IDENTITY)

    
    @Column(name="id_dep", unique=true, nullable=false)
    public Integer getIdDep() {
        return this.idDep;
    }
    
    public void setIdDep(Integer idDep) {
        this.idDep = idDep;
    }

    
    @Column(name="departamento", length=25)
    public String getDepartamento() {
        return this.departamento;
    }
    
    public void setDepartamento(String departamento) {
        this.departamento = departamento;
    }

@OneToMany(fetch=FetchType.LAZY, mappedBy="departamento")
    public Set<Municipios> getMunicipioses() {
        return this.municipioses;
    }
    
    public void setMunicipioses(Set<Municipios> municipioses) {
        this.municipioses = municipioses;
    }




}


